
#include <valarray>
#include "DataTable.h"

using namespace std;

// ProbitRegression does the actual ML Probit model estimation
// only argument is a "DataTable"
// assumes that the columns of the DataTable are x, N, and r
void ProbitRegression(DataTable TheTable);


/* NormalProb is derived
 * from Abramowitz, M. and Stegun, I.A. (Eds.).  
 * Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables, 
 * 9th printing.  New York: Dover, pp.931-933, 1972.
 * Same function as used in Excel
 * see http://support.microsoft.com/?kbid=214111
 */

using namespace std;

double NormalProb(double z);
valarray<double> NormalProbList(valarray<double> zList, int size);

